Gmagick::resampleimage
Gmagick::rollimage
Gmagick
PHP Manual

# Gmagick::resizeimage

(PECL gmagick >= Unknown)

Gmagick::resizeimage — Scales an image

### Description

public void Gmagick::resizeimage ( int `$width` , int `$height` , int `$filter` , float `$blur` [, bool `$fit` = false ] )

Scales an image to the desired dimensions with a filter.

### Parameters

`width`

  The number of columns in the scaled image.

`height`

  The number of rows in the scaled image.

`filter`

  Image filter to use.

`blur`

  The blur factor where larger than 1 is blurry, lesser than 1 is sharp.

### Return Values

The Gmagick object on success

### Errors/Exceptions

Throws an GmagickException on error.

Gmagick::resampleimage
Gmagick::rollimage
Gmagick
PHP Manual